def SucheMAC(Mac, Suche):
    for i in Mac:
        if i == Suche:
            return True
    return False


Mac= ["34-34-34-34-34-34","56-56-56-56-56-56"]
Suche="34-34-34-34-34-34"

erg = SucheMAC(Mac,Suche)
print(erg)